%global prog_name automake
%global target x86_64-unknown-redox

%global debug_package %{nil}

Name:           %{target}-%{prog_name}
Version:        1.11.1
Release:        4%{?dist}
Summary:        Generates Makefile.in files compliant with the GNU Coding Standards.

License:        GPLv2+
URL:            https://www.gnu.org/software/automake/
Source0:        https://ftp.gnu.org/gnu/automake/automake-1.11.1.tar.gz

BuildRequires:  autoconf

Requires(post): info
Requires(preun): info

%description
Automake is a tool for automatically generating Makefile.in files compliant with the GNU Coding Standards.

%prep
%autosetup -n %{prog_name}-%{version}


%build
%configure
%make_build

%install
%make_install

# Glitch related to installing info manuals. The install-info command will 
# update the info directory, so we should delete the useless empty directory 
# from the %%{buildroot} during the %%install section
# Taken from: https://fedoraproject.org/wiki/How_to_create_an_RPM_package#Scriptlets
rm -f %{buildroot}%{_infodir}/dir

%files
%{_bindir}/*
%{_datarootdir}/*
%license
%doc

# Taken from: https://fedoraproject.org/wiki/How_to_create_an_RPM_package#Scriptlets
%post
/sbin/install-info %{_infodir}/%{prog_name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{prog_name}.info %{_infodir}/dir || :
fi

%changelog
* Fri Aug 18 2017 Agoston Szepessy <agoston@fedoraproject.org> - 1.11.1-4
- Remove %%{_infodir}/dir during %%install
* Fri Aug 18 2017 Agoston Szepessy <agoston@fedoraproject.org> - 1.11.1-3
- Add %%post and %%preun
* Thu Aug 17 2017 Agoston Szepessy <agoston@fedoraproject.org> - 1.11.1-2
- Fix errors with %%files section
* Thu Aug 17 2017 Agoston Szepessy <agoston@fedoraproject.org> - 1.11.1-1
- Initial SPEC file.
